$(function() {
    $(".postfinance-button").on('click', function(e){
        e.preventDefault();
        var formElement = $(this).closest('form');
        var postfinanceBlock = $(this).closest('.postfinance-block');
        var productId   = postfinanceBlock.find('.product-id-postfinance').val();
        var serviceId   = postfinanceBlock.find('.service-id-postfinance').val();
        var websiteUrl  = postfinanceBlock.find('.websiteUrlValue').val();

        $.ajax({
            type: "POST",
            url: websiteUrl+'plugin/postfinance/run/getButtonData/',
            dataType: "json",
            context:formElement,
            async:false,
            data: {
                productId:productId,
                serviceId:serviceId
            },
            success: function(response){
                if(response.error == 1 && typeof response.responseText.message !='undefined'){
                    smoke.alert(response.responseText.message,{'classname':'errors'});
                    return false;
                }
                if(response.error == 1){
                    window.location.href = response.responseText;
                }else{
                    this.find('.postfinance-amount').val(response.responseText.totalAmount);
                    this.find('.postfinance-merchant-id').val(response.responseText.merchantId);
                    this.find('.postfinance-order-id').val(response.responseText.orderId);
                    this.find('.postfinance-currency').val(response.responseText.currency);
                    this.find('.postfinance-accept-url').val(response.responseText.acceptUrl);
                    this.find('.postfinance-decline-url').val(response.responseText.declineUrl);
                    this.find('.postfinance-cancel-url').val(response.responseText.cancelUrl);
                    this.find('.postfinance-sha-sign').val(response.responseText.shaKey);
                    this.prop('action', response.responseText.serviceUrl);
                    this.submit();
                }
            }
        });
    });
});